summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-03-07 07:15:12 +0100
committerMichał Górny <mgorny@gentoo.org>2026-03-07 08:06:27 +0100
commitdd860a0499f65a118d9408f40d67cbe6db461c7f (patch)
tree8fdb7f43c55eb4ad50c44129cfa01b838f12232c /dev-python
parent951aaf0068f4eaaeafffba965addb6c6f149afd9 (diff)
downloadgentoo-dd860a0499f65a118d9408f40d67cbe6db461c7f.tar.gz
gentoo-dd860a0499f65a118d9408f40d67cbe6db461c7f.tar.bz2
gentoo-dd860a0499f65a118d9408f40d67cbe6db461c7f.zip
dev-python/google-auth: Bump to 2.49.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/google-auth/Manifest2
-rw-r--r--dev-python/google-auth/google-auth-2.49.0.ebuild61
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 9b78f66c22ac..34e83e5937a5 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -4,3 +4,5 @@ DIST google_auth-2.47.0.tar.gz 323719 BLAKE2B 49bfb4441d4e9272903c19960221d28223
DIST google_auth-2.47.0.tar.gz.provenance 5763 BLAKE2B 8cd21eb438cec8c132d5f7728e8283459a27ffbdd78c149669d563dc487cb478686b59211d2b64317aa3822ca69869ec4b9ebae8f7b00cc65b3539b9bb9decc1 SHA512 11262a96d2d16ba61e2769364f63773bd706bbb5be46c9a1acb8bf3ddbd966f97786db341b0997794fa7ea26aa477ee29c86d42f6351af178cc3901b8aea80f4
DIST google_auth-2.48.0.tar.gz 326522 BLAKE2B 9633a1480afc64115780b3ed00f84a2a0cce02da8168dde6205175ec588505338ab212071311e363b1031bbfc35c22e2c746848bfec26ca7b9b4021ede1bb4e7 SHA512 efa7b3142fbac1e790913c7a1640b6a4133cc132c6ba296bd5d6a20a6951fd6b1a62c3db90aa936caa6290472d658ca1d30549d8e3db1d92c8fa7ab189b4ab01
DIST google_auth-2.48.0.tar.gz.provenance 5888 BLAKE2B 8b87ee062cfd54fb37e5ae1163853a3f854409d705a71548ff1695afdf6699c4b769f8aada11549f0237c8e1c814bd62cdc4fe13605f333823b34b0e7ad9160b SHA512 26a4020e1f10e1c80a68c32d7793d2592f175bc128ba524f10e0e4e5e0b3ab543ef82fc47b89d1e3d478b2110298952f4ca1a9fda451e17ac8a439b819060d13
+DIST google_auth-2.49.0.tar.gz 333444 BLAKE2B 5471495f348918cbab6219a8964c40a3a07d0294be504d0ff8d1042841cb1d2775b45f9f26846d2a0623aa9aae48033e0b7c790f78aba84ad41863331217f25d SHA512 65bbd4373ae2f0f5a1b52fa875f50aa23effcde7574b775cd10f2d6d8f2c5bccedd7f4ad85609eb3dfb71bd2f3cf00a910c24daf97414bc50e92e21c9d2803b0
+DIST google_auth-2.49.0.tar.gz.provenance 5862 BLAKE2B 0ef4e524c045d11a04749ff932eafbe45426012b08f2794f4e71005c342d90643d1c001c428fb88c48152ab049cc019266cb034db86a3e9ead215d2414d77738 SHA512 892a20d41ea32f87793f1a26f4d9cc5a489b9b1d208b2087076f30bb880dc509e47b89e0b14ff14b495a054373f110e66d1e85932fdb68a6977b6690b5b57940
diff --git a/dev-python/google-auth/google-auth-2.49.0.ebuild b/dev-python/google-auth/google-auth-2.49.0.ebuild
new file mode 100644
index 000000000000..3bf5a0bbfb6a
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.49.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py@oss-exit-gate-prod.iam.gserviceaccount.com
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-38.0.3[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/aioresponses[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.0[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,localserver} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # tests are broken with up-to-date pyopenssl
+ tests/transport/test__mtls_helper.py::TestDecryptPrivateKey::test_success
+)
+
+EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+)
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin deps
+ sed -i -e 's:,<[0-9.]*::' setup.py || die
+}